Convert Text to Audio
Available for: Chatflow, Workflow, Chatbot, Agent, Text Generator apps.
Convert text to speech.
curl --request POST \
--url https://{api_base_url}/text-to-audio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Hello, welcome to our service.",
"user": "abc-123",
"voice": "alloy",
"streaming": false
}
'import requests
url = "https://{api_base_url}/text-to-audio"
payload = {
"text": "Hello, welcome to our service.",
"user": "abc-123",
"voice": "alloy",
"streaming": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'Hello, welcome to our service.',
user: 'abc-123',
voice: 'alloy',
streaming: false
})
};
fetch('https://{api_base_url}/text-to-audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.
Body
Request body for text-to-audio conversion. Provide either message_id or text.
Message ID. Takes priority over text when both are provided.
Speech content to convert.
User identifier.
Voice to use for text-to-speech. Available voices depend on the TTS provider configured for this app. Use the voice value from Get App Parameters → text_to_speech.voice for the default.
Whether to enable streaming response.
Response
Returns the generated audio file. The Content-Type header is set to the audio MIME type (e.g., audio/wav, audio/mp3). If streaming is true, the audio is streamed as chunked transfer encoding.
The response is of type file.
Was this page helpful?
